{
  "author": "Danilo Toro",
  "description": "Module to read PDF and XPS files | Módulo para leer archivos PDF y XPS",
  "description_lang":{
    "en": "Read and extract data for PDF and XPS files",
    "es": "Lee y extrae datos de archivos PDF y XPS",
    "pr": ""
  },
  "disclaimer": "THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.",
  "version": "2.1.1",
  "license": "MIT",
  "homepage": "http://rocketbot.com",
  "linux": false,
  "windows": true,
  "mac": false,
  "docker": false,
  "name": "DocReader",
  "dependencies": {},
  "title": {
    "en": "Document Reader",
    "es": "Lector de documentos",
    "pr": ""
  },
  "icon": "data:image/svg+xml;utf8;base64,[encoded data, 9112 characters]",
  "children": [
    {
      "es": {
        "title": "Leer documento (XPS o PDF)",
        "description": "Lee documento XPS y PDF",
        "title_options": null,
        "options": null
      },
      "en": {
        "title": "Read Document (XPS or PDF)",
        "description": "Read documents like XPS and PDF ",
        "title_options": null,
        "options": null
      },
      "form": {
        "css": "modal-lg",
        "inputs": [
          {
            "type": "file_select",
            "placeholder": {
              "es": "path/to/doc.pdf",
              "en": "path/to/doc.pdf"
            },
            "title": {
              "es": "Ruta del documento: ",
              "en": "Document path: "
            },
            "id": "path",
            "css": "col-md-12"
          },
          {
            "type": "input",
            "placeholder": {
              "es": "5",
              "en": "5"
            },
            "title": {
              "es": "Página",
              "en": "Page"
            },
            "id": "page",
            "css": "col-md-2"
          },
          {
            "type": "select",
            "placeholder": {
              "es": "",
              "en": ""
            },
            "title": {
              "es": "Opción",
              "en": "Option"
            },
            "options": [
              {
                "title": "Option 1",
                "value": "1"
              },
              {
                "title": "Option 2",
                "value": "2"
              }
            ],
            "id": "option",
            "css": "col-md-4"
          },
          {
            "type": "input",
            "placeholder": {
              "es": "result",
              "en": "result"
            },
            "title": {
              "es": "Variable donde se guardará el texto",
              "en": "Variable where the text will be saved",
              "cn": "Variable where the text will be saved"
            },
            "help": {
              "es": "Variable donde se almacena el resultado sin {}",
              "en": "Variable where the result is stored without {}"
            },
            "id": "result",
            "css": "col-md-6"
          }
        ]
      },
      "video_youtube": "",
      "icon": "data:image/svg+xml;utf8;base64,[encoded data, 9112 characters]",
      "module": "read",
      "module_name": "DocReader",
      "visible": true,
      "options": false,
      "father": "module",
      "group": "scripts",
      "linux": false,
      "windows": true,
      "mac": false,
      "docker": false
    },
    {
      "es": {
        "title": "Leer PDF",
        "description": "Lee documentos PDF",
        "title_options": null,
        "options": null
      },
      "en": {
        "title": "Read PDF",
        "description": "Read PDF documents",
        "title_options": null,
        "options": null
      },
      "form": {
        "css": "modal-lg",
        "inputs": [
          {
            "type": "file_select",
            "placeholder": {
              "es": "path/to/doc.pdf",
              "en": "path/to/doc.pdf"
            },
            "title": {
              "es": "Ruta del documento: ",
              "en": "Document path: "
            },
            "id": "path",
            "css": "col-md-12"
          },
          {
            "type": "input",
            "placeholder": {
              "es": "result",
              "en": "result"
            },
            "title": {
              "es": "Variable donde se guardará el texto",
              "en": "Variable where the text will be saved",
              "cn": "Variable where the text will be saved"
            },
            "help": {
              "es": "Variable donde se almacena el resultado sin {}",
              "en": "Variable where the result is stored without {}"
            },
            "id": "result",
            "css": "col-md-6"
          }
        ]
      },
      "video_youtube": "",
      "icon": "data:image/svg+xml;utf8;base64,[encoded data, 9112 characters]",
      "module": "readPDF",
      "module_name": "DocReader",
      "visible": true,
      "options": false,
      "father": "module",
      "group": "scripts",
      "linux": false,
      "windows": true,
      "mac": false,
      "docker": false
    }

  ]
}